var system=require("../../system")
var settings=require("../../../config/settings");
const CtlBase = require("../ctl.base");
const uuidv4 = require('uuid/v4');
class NewschannelCtl extends CtlBase{
   constructor(){
     super(CtlBase.getServiceName(NewschannelCtl));
     //this.appS=system.getObject("service.appSve");
   }
   async findAgreenment(queryobj,qobj,req){
     var rd=await this.service.findAgreenment();
     return system.getResult2(rd,null);
   }

   async initNewInstance(queryobj,qobj){
     var u=uuidv4();
     var aid=u.replace(/\-/g,"");
     var rd={name:"",appid:aid}
     return system.getResult2(rd,null);
   }
   async findPrev5(queryobj,qobj){
     var rd=await this.service.findPrev5();
     return system.getResult2(rd,null);
   }
}
module.exports=NewschannelCtl;
